Login
Log in using an SSO provider:
Fedora Account System
Red Hat Associate
Red Hat Customer
Login using a Red Hat Bugzilla account
Forgot Password
Create an Account
Red Hat Bugzilla – Attachment 356220 Details for
Bug 515555
F-12-Alpha-TC - mkofboot doesn't return the proper exit code
Home
New
Search
Simple Search
Advanced Search
My Links
Browse
Requests
Reports
Current State
Search
Tabular reports
Graphical reports
Duplicates
Other Reports
User Changes
Plotly Reports
Bug Status
Bug Severity
Non-Defaults
Product Dashboard
Help
Page Help!
Bug Writing Guidelines
What's new
Browser Support Policy
5.0.4.rh90 Release notes
FAQ
Guides index
User guide
Web Services
Contact
Legal
[?]
This site requires JavaScript to be enabled to function correctly, please enable it.
bash -x mkofboot -f -C /boot/etc/yaboot.conf
mkofboot.out (text/plain), 7.92 KB, created by
James Laska
on 2009-08-04 18:14:33 UTC
(
hide
)
Description:
bash -x mkofboot -f -C /boot/etc/yaboot.conf
Filename:
MIME Type:
Creator:
James Laska
Created:
2009-08-04 18:14:33 UTC
Size:
7.92 KB
patch
obsolete
>sh-4.0# bash -x /sbin/mkofboot -f -C /boot/etc/yaboot.conf >+ PATH=/sbin:/bin:/usr/sbin:/usr/bin:/usr/local/sbin:/usr/local/bin >+ '[' -n '' ']' >+ PRG=mkofboot >+ ABSPRG=/sbin/mkofboot >+ SIGINT='mkofboot: Interrupt caught ... exiting' >+ VERSION=1.3.14 >+ DEBUG=0 >+ VERBOSE=0 >+ TMP=/tmp >+ export LC_COLLATE=C >+ LC_COLLATE=C >+ '[' -x /usr/sbin/ofpath ']' >+ OFPATH=ofpath >+ trap cleanup 0 >+ trap 'exit 129' 1 >+ trap 'echo 1>&2 mkofboot: Interrupt caught ... exiting ; exit 130' 2 >+ trap 'exit 131' 3 >+ trap 'exit 143' 15 >+ '[' -f /etc/yaboot.conf ']' >+ CONF=/dev/null >+ bootconf=/dev/null >+ boot=unconfigured >+ '[' -f /usr/local/lib/yaboot/yaboot ']' >+ '[' -f /usr/lib/yaboot/yaboot ']' >+ install=/usr/lib/yaboot/yaboot >+ usemount=no >+ cat /proc/cpuinfo >+ grep '^machine' >+ grep -q 'CHRP IBM' >+ fstype=raw >+ hfstype=tbxi >+ hfscreator=UNIX >+ bless=yes >+ protect=no >+ hide=no >+ nonvram=0 >+ defaultos=linux >+ brokenosx=no >+ cdrom=no >+ network=no >+ of=no >+ fgcolor=white >+ bgcolor=black >+ label=Linux >+ timeout=40 >+ image=/vmlinux >+ partition=3 >+ root=/dev/hda3 >+ device=hd: >+ case "$PRG" in >++ printf printf_test >+ '[' printf_test = printf_test ']' >+ PRINTF=printf >+ command -v id >+ true >+ command -v readlink >+ true >+ '[' 3 '!=' 0 ']' >+ true >+ case "$1" in >+ FORCE=yes >+ ARGS=' -f' >+ shift >+ true >+ case "$1" in >+ '[' -n /boot/etc/yaboot.conf ']' >+ CONF=/boot/etc/yaboot.conf >+ bootconf=/boot/etc/yaboot.conf >+ ERR=' Error in /boot/etc/yaboot.conf:' >+ ARGS=' -f -C /boot/etc/yaboot.conf' >+ shift 2 >+ true >+ case "$1" in >+ break >+ '[' /boot/etc/yaboot.conf = /dev/null ']' >+ confexist >+ '[' '!' -e /boot/etc/yaboot.conf ']' >+ '[' '!' -f /boot/etc/yaboot.conf ']' >+ '[' '!' -r /boot/etc/yaboot.conf ']' >+ return 0 >+ '[' /boot/etc/yaboot.conf = /dev/null ']' >++ parseconf ck boot >++ case "$1" in >++ grep '^boot[\ ,=]' /boot/etc/yaboot.conf >++ echo 0 >+ '[' '' '!=' 1 -a 0 = 0 ']' >++ parseconf str boot >++ case "$1" in >+++ grep '^boot[\ ,=]' /boot/etc/yaboot.conf >++ v=boot=/dev/sda1 >++ echo /dev/sda1 >+ boot=/dev/sda1 >++ parseconf ck ofboot >++ case "$1" in >++ grep '^ofboot[\ ,=]' /boot/etc/yaboot.conf >++ echo 1 >+ '[' '' '!=' 1 -a 1 = 0 ']' >++ parseconf ck install >++ case "$1" in >++ grep '^install[\ ,=]' /boot/etc/yaboot.conf >++ echo 0 >+ '[' '' '!=' 1 -a 0 = 0 ']' >++ parseconf str install >++ case "$1" in >+++ grep '^install[\ ,=]' /boot/etc/yaboot.conf >++ v=install=/usr/lib/yaboot/yaboot >++ echo /usr/lib/yaboot/yaboot >+ install=/usr/lib/yaboot/yaboot >++ parseconf ck magicboot >++ case "$1" in >++ grep '^magicboot[\ ,=]' /boot/etc/yaboot.conf >++ echo 1 >+ '[' '' '!=' 1 -a 1 = 0 ']' >++ parseconf flag usemount >++ case "$1" in >++ grep '^usemount\>' /boot/etc/yaboot.conf >++ echo 1 >+ '[' '' '!=' 1 -a 1 = 0 ']' >++ parseconf ck fstype >++ case "$1" in >++ grep '^fstype[\ ,=]' /boot/etc/yaboot.conf >++ echo 0 >+ '[' '' '!=' 1 -a 0 = 0 ']' >++ parseconf str fstype >++ case "$1" in >+++ grep '^fstype[\ ,=]' /boot/etc/yaboot.conf >++ v=fstype=raw >++ echo raw >+ fstype=raw >++ parseconf flag nobless >++ case "$1" in >++ grep '^nobless\>' /boot/etc/yaboot.conf >++ echo 1 >+ '[' '' '!=' 1 -a 1 = 0 ']' >++ parseconf flag protect >++ case "$1" in >++ grep '^protect\>' /boot/etc/yaboot.conf >++ echo 1 >+ '[' '' '!=' 1 -a 1 = 0 ']' >++ parseconf flag hide >++ case "$1" in >++ grep '^hide\>' /boot/etc/yaboot.conf >++ echo 1 >+ '[' '' '!=' 1 -a 1 = 0 ']' >++ parseconf flag nonvram >++ case "$1" in >++ grep '^nonvram\>' /boot/etc/yaboot.conf >++ echo 0 >+ '[' '' '!=' 1 -a 0 = 0 ']' >+ nonvram=1 >++ parseconf ck hfstype >++ case "$1" in >++ grep '^hfstype[\ ,=]' /boot/etc/yaboot.conf >++ echo 1 >+ '[' 1 = 0 ']' >++ parseconf ck hfscreator >++ case "$1" in >++ grep '^hfscreator[\ ,=]' /boot/etc/yaboot.conf >++ echo 1 >+ '[' 1 = 0 ']' >++ parseconf ck mntpoint >++ case "$1" in >++ grep '^mntpoint[\ ,=]' /boot/etc/yaboot.conf >++ echo 1 >+ '[' 1 = 0 ']' >++ parseconf ck delay >++ case "$1" in >++ grep '^delay[\ ,=]' /boot/etc/yaboot.conf >++ echo 0 >+ '[' 0 = 0 ']' >++ parseconf str delay >++ case "$1" in >+++ grep '^delay[\ ,=]' /boot/etc/yaboot.conf >++ v=delay=5 >++ echo 5 >+ delay=5 >++ parseconf ck timeout >++ case "$1" in >++ grep '^timeout[\ ,=]' /boot/etc/yaboot.conf >++ echo 0 >+ '[' 0 = 0 ']' >++ parseconf str timeout >++ case "$1" in >+++ grep '^timeout[\ ,=]' /boot/etc/yaboot.conf >++ v=timeout=80 >++ echo 80 >+ timeout=80 >++ parseconf ck bsd >++ case "$1" in >++ grep '^bsd[\ ,=]' /boot/etc/yaboot.conf >++ echo 1 >+ '[' 1 = 0 ']' >++ parseconf ck macos >++ case "$1" in >++ grep '^macos[\ ,=]' /boot/etc/yaboot.conf >++ echo 1 >+ '[' 1 = 0 ']' >++ parseconf ck macosx >++ case "$1" in >++ grep '^macosx[\ ,=]' /boot/etc/yaboot.conf >++ echo 1 >+ '[' 1 = 0 ']' >++ parseconf ck darwin >++ case "$1" in >++ grep '^darwin[\ ,=]' /boot/etc/yaboot.conf >++ echo 1 >+ '[' 1 = 0 ']' >++ parseconf ck defaultos >++ case "$1" in >++ grep '^defaultos[\ ,=]' /boot/etc/yaboot.conf >++ echo 1 >+ '[' 1 = 0 ']' >++ parseconf ck fgcolor >++ case "$1" in >++ grep '^fgcolor[\ ,=]' /boot/etc/yaboot.conf >++ echo 1 >+ '[' 1 = 0 ']' >++ parseconf ck bgcolor >++ case "$1" in >++ grep '^bgcolor[\ ,=]' /boot/etc/yaboot.conf >++ echo 1 >+ '[' 1 = 0 ']' >++ parseconf ck icon >++ case "$1" in >++ grep '^icon[\ ,=]' /boot/etc/yaboot.conf >++ echo 1 >+ '[' 1 = 0 ']' >++ parseconf flag enablecdboot >++ case "$1" in >++ grep '^enablecdboot\>' /boot/etc/yaboot.conf >++ echo 0 >+ '[' 0 = 0 ']' >+ cdrom=yes >++ parseconf flag enablenetboot >++ case "$1" in >++ grep '^enablenetboot\>' /boot/etc/yaboot.conf >++ echo 0 >+ '[' 0 = 0 ']' >+ network=yes >++ parseconf flag enableofboot >++ case "$1" in >++ grep '^enableofboot\>' /boot/etc/yaboot.conf >++ echo 0 >+ '[' 0 = 0 ']' >+ of=yes >++ parseconf flag brokenosx >++ case "$1" in >++ grep '^brokenosx\>' /boot/etc/yaboot.conf >++ echo 1 >+ '[' 1 = 0 ']' >+ bootparts=0 >+ for i in '$boot' >+ bootparts=1 >+ '[' 1 -gt 1 ']' >+ '[' /dev/sda1 = unconfigured ']' >+ '[' /boot/etc/yaboot.conf = /dev/null ']' >+ '[' mkofboot = mkofboot -a -n '' ']' >+ checkconf >+ '[' '!' -e /dev/sda1 ']' >+ '[' '!' -b /dev/sda1 -a '!' -f /dev/sda1 ']' >+ '[' '!' -w /dev/sda1 -o '!' -r /dev/sda1 ']' >+ '[' '!' -e /usr/lib/yaboot/yaboot ']' >+ '[' '!' -f /usr/lib/yaboot/yaboot ']' >+ '[' '!' -r /usr/lib/yaboot/yaboot ']' >+ '[' /boot/etc/yaboot.conf = auto ']' >+ '[' '!' -e /boot/etc/yaboot.conf ']' >+ '[' '!' -f /boot/etc/yaboot.conf ']' >+ '[' '!' -r /boot/etc/yaboot.conf ']' >+ '[' -n '' ']' >+ case "$fstype" in >+ '[' raw = hfs ']' >+ '[' raw = raw ']' >+ '[' -n '' ']' >+ '[' no = yes ']' >+ '[' -n '' ']' >+ '[' -n '' ']' >+ '[' -n '' ']' >+ '[' '!' -f /proc/uptime -a 1 = 0 ']' >+ '[' 1 = 0 ']' >+++ cat /proc/cpuinfo >+++ grep pmac-generation >++ v= >++ echo >+ '[' '' = NewWorld ']' >+++ cat /proc/cpuinfo >+++ grep pmac-generation >++ v= >++ echo >+ '[' '' = OldWorld ']' >+ cat /proc/cpuinfo >+ grep '^motherboard' >+ grep -q AAPL >+ cat /proc/cpuinfo >+ grep '^machine' >+ grep -q 'CHRP IBM' >+ nonvram=1 >+ ADDNOTE=yes >+ case "$fgcolor" in >+ fgc=f >+ case "$bgcolor" in >+ bgc=0 >+ '[' -z 5 ']' >+ '[' '' = 1 ']' >+ return 0 >+ '[' x '!=' x ']' >+ bootparts=0 >+ '[' -n '' -o 1 = 0 ']' >+ grep -q '^[[:space:]]*password[[:space:]]*=' /boot/etc/yaboot.conf >+ '[' no = yes -a -z '' ']' >+ '[' raw = hfs ']' >+ '[' -n '' -o 1 = 0 ']' >+ '[' /boot/etc/yaboot.conf = auto ']' >+ '[' -n '' ']' >+ case "$PRG" in >+ case "$usemount" in >+ '[' raw = msdos ']' >+ confirm >+ '[' yes = yes ']' >+ return 0 >+ '[' raw = raw ']' >+ raw_install >+ mount >+ grep '^/dev/sda1\>' >+ '[' 1 = 0 ']' >+ local 'INSTALLPRIMARY=mkofboot: Installing primary bootstrap /usr/lib/yaboot/yaboot onto /dev/sda1...' >+ '[' yes = yes ']' >+ hack_yaboot >+ local YBDIR=/usr/lib/yaboot >+ '[' -x /usr/lib/yaboot/addnote ']' >++ mktemp -q /tmp/yaboot.XXXXXX >+ TMPYABOOT=/tmp/yaboot.k7cYef >+ '[' 0 '!=' 0 ']' >+ cat /usr/lib/yaboot/yaboot >+ install=/tmp/yaboot.k7cYef >+ '[' 0 = 1 ']' >+ /usr/lib/yaboot/addnote /tmp/yaboot.k7cYef >+ '[' 0 '!=' 0 ']' >+ return 0 >+ '[' 0 = 1 ']' >+ dd if=/dev/zero of=/dev/sda1 bs=512 count=1600 >+ dd if=/tmp/yaboot.k7cYef of=/dev/sda1 bs=512 >+ '[' 0 '!=' 0 ']' >+ sync >+ sync >+ '[' 0 = 1 ']' >+ exit 1 >+ cleanup >+ '[' -n '' ']' >+ '[' -n '' ']' >+ '[' -n /tmp/yaboot.k7cYef ']' >+ rm -f /tmp/yaboot.k7cYef >+ '[' -d /tmp/bootstrap.5168 -a no = yes ']' >+ return 0 >sh-4.0# echo $? >1 >
You cannot view the attachment while viewing its details because your browser does not support IFRAMEs.
View the attachment on a separate page
.
View Attachment As Raw
Actions:
View
Attachments on
bug 515555
:
356219
| 356220 |
356221
|
356222
|
356223
|
356605